#ifndef _HERO
#define _HERO

typedef struct {
	double x, y;
	double dx, dy;
	double ax, ay;
	int x_stop, y_stop;
	unsigned char ** bmp;
	int anim_tick, anim_bmp, anim_isjmp, anim_isfall;
	int last_update;
} Hero;

Hero * hero_create(unsigned char ** bmp);
void hero_reset(Hero * hero);
void hero_jump_start(Hero * hero);
void hero_jump_reset(Hero * hero);
void hero_falling_start(Hero * hero);
void hero_jump_stop(Hero * hero, int y);
void hero_update(Hero * hero);

#endif //_HERO