#include "stdlib.h"
#include "stdio.h" 
#include "fxlib.h"
#include "map.h"

#define MAX 7



void map_gen(unsigned char * map, int map_width, int map_height, Alea * alea) {
	int rand1, rand2; // Valeurs aleatoires
	int i, j, k; // Vars temporaires
	int gen; // Si deja generer ou non
	
	rand1 = rand()%5;
	rand2 = rand()%2;
	
	for(i=0;i<8;i++) {
		j = i*map_width;
		memmove(map+j, map+j+1, 17 * sizeof(unsigned char));
		
		gen = 0;
		
		if(alea->type == 1) { // Sol, pick, hole					
			if(rand1 >= 2) {
				if(rand2 == 0) { // Pick
					if((alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 0) || (alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 3) ) {
						if(i==5) *(map+j+17) = PICK;
						if(i==6) *(map+j+17) = GRASS;
						if(i==7) {
							alea->last_3 = alea->last_2;
							alea->last_2 = alea->last_1;
							alea->last_1 = 3;								
						}
						gen = 1;
					}
				} else { // Hole
					if((alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 0) || (alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 50) ) {
						if(i==6) {
							if(*(map+j+16) == HOLE) {
								*(map+j+16) = HOLE_LEFT;
								*(map+j+17) = HOLE_RIGHT;
							} else
								*(map+j+17) = HOLE;
						}
						if(i==7) {
							if(*(map+j+16) == HOLE) {
								*(map+j+16) = HOLE_LEFT;
								*(map+j+17) = HOLE_RIGHT;
							} else
								*(map+j+17) = HOLE;
								
							alea->last_3 = alea->last_2;
							alea->last_2 = alea->last_1;
							alea->last_1 = 50;								
						}
						gen = 1;
					}
				}
			}
			/*else if (rand1 == 10) { // rand1 == 1 >>> tres dur == 1 2 espaces au lieu de 3
				if(rand2 == 0) {
					if((alea->last_3 > 0 && alea->last_2 == 0 && alea->last_1 == 0) || (alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 3) ) {
						if(i==5) *(map+j+17) = 3;
						if(i==6) *(map+j+17) = 7;
						if(i==7) {
							alea->last_3 = alea->last_2;
							alea->last_2 = alea->last_1;
							alea->last_1 = 3;
						}
						gen = 1;
					}
				} else {
					if((alea->last_3 > 0 && alea->last_2 == 0 && alea->last_1 == 0) || (alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 50) ) {
						if(i==6) *(map+j+17) = 0;
						if(i==7) {
							alea->last_3 = alea->last_2;
							alea->last_2 = alea->last_1;
							alea->last_1 = 50;								
						}
						gen = 1;
					}
				}
			}*/
			
			if(gen == 0) {
				if(i==6) *(map+j+17) = GRASS;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = 0;
				}
			}
		} else if(alea->type == 2) { // Boite
			if((alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 0) || (alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 == 1)) { // ___ | __-
				if(i==5) *(map+j+17) = BOX;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = 1;
				}
				gen = 1;
			} else if(alea->last_3 == 0 && alea->last_2 == 1 && alea->last_1 == 1) { // _--
				if(i==5) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = 2;
				}
				gen = 1; // ---
			} else if(alea->last_3 == alea->last_1 - 1 && alea->last_2 == alea->last_1 - 1 ) { // __-						
				if(i==6-alea->last_1) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = alea->last_1;
				}
				gen = 1; // _--
			} else if(alea->last_3 == alea->last_1 - 1 && alea->last_2 == alea->last_1 ) { // _--						
				if(i==6-alea->last_1) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = alea->last_1;
				}
				gen = 1; // ---					
			} else if(alea->last_3 == alea->last_2 && alea->last_1 == alea->last_2 - 1 ) { // --_						
				if(i==6-alea->last_1) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = alea->last_1;
				}
				gen = 1; // -__				
			} else if(alea->last_2 == alea->last_3 -1 && alea->last_1 == alea->last_3 - 1 ) { // -__						
				if(i==6-alea->last_1) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = alea->last_1;
				}
				gen = 1; // ___				
			}			
			if(rand2 == 0 && gen == 0) {
				// 6 - id platform
				if(i==6-alea->last_1) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					// alea->last_1 = 1;
				}
				gen = 1;
			} else if (rand2 == 1 && gen == 0) {
				if(rand1 >= 3) {
					k = MAX-alea->last_1+1;
					if(k <= 3) k = alea->last_1;
					else k = alea->last_1 + 1;
				} else {
					k = MAX-alea->last_1-1;
					if(k >= 4) k = alea->last_1;
					else k = alea->last_1 - 1;
				}
				
				if(i==6-k) *(map+j+17) = BOX;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = k;
				}
				gen = 1;
			}			
			
			if(gen == 0) {
				if(i==6) *(map+j+17) = GRASS;
				else *(map+j+17) = NONE;
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = 0;
				}
			}
		} else if(alea->type == 3) { // Platform	
			if(alea->last_2 == 0 && alea->last_1 == 0) {
				// On genere la hauteur ici
				if(i==0) {
					if(alea->last_1 == 0 && alea->last_2 == 0 && alea->last_3 == 0)
						k = 4;
					else {
						k = rand1 - 1;
						k = k + alea->last_3; // k = (rand1 + 3) + alea->last_1;
						k = k;
						
						if(k == alea->last_3) 							
							k-=2;
						
						if(k < 1) k = 1;
						else if(k > 6) k = 6;
						
						if(k == alea->last_3) 							
							k+=4;
							
						if(k < 1) k = 1;
						else if(k > 6) k = 6;
					}
				}				
				
				if(i==k) *(map+j+17) = PLATFORM_LEFT;
				else if(i>k) *(map+j+17) = PLATFORM_LEFT_BOTTOM;
				else *(map+j+17) = NONE;
				
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = k;
				}
				
				gen = 1;
			} else if(alea->last_3 == 0 && alea->last_2 == 0 && alea->last_1 > 0) {
				if(i==alea->last_1) *(map+j+17) = PLATFORM_MIDDLE;
				else *(map+j+17) = NONE;
				
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
				}
				
				gen = 1;
			} else if(alea->last_3 == 0 && alea->last_2 == alea->last_1 && alea->last_1 > 0) {
				if(i==alea->last_1) *(map+j+17) = PLATFORM_RIGHT;
				else if(i>alea->last_1) *(map+j+17) = PLATFORM_RIGHT_BOTTOM;
				else *(map+j+17) = NONE;
				
				if(i==7) {
					alea->last_3 = alea->last_2;
				}
				
				gen = 1;
				
			} else if( (alea->last_3 == alea->last_2 && alea->last_2 == alea->last_1 && alea->last_1 > 0) || (alea->last_3 == alea->last_2 && alea->last_2 > 0 && alea->last_1 == 0) ) {
				*(map+j+17) = NONE;
				
				if(i==7) {
					alea->last_3 = alea->last_2;
					alea->last_2 = alea->last_1;
					alea->last_1 = 0;
				}
				
				gen = 1;
			}
		} else { // alea->type == 0
			*(map+j+17) = NONE;
			if(i==6) *(map+j+17) = GRASS;
			
			if(i==6 && alea->type_nb_next == 10 && *(map+j+16) == NONE) { *(map+j+16) = HOLE_RIGHT; *(map+j+16+19) = HOLE_RIGHT; }			
		}
	}
	
	
	// Mise a jour des compteurs & genere le nouveau type de map
	if(alea->type >= 1) {
		alea->type_nb--;
		if(alea->type_nb <= 0)
			alea->type = 0;
	} else {
		alea->type_nb_next --;
			
		if(alea->type_nb_next <= 0) {
			alea->type = rand()%4+1;
			if(alea->type == 4) alea->type = 1;
			
			alea->type_nb = 30;
			alea->type_nb_next = 10;
			alea->last_3 = 0;
			alea->last_2 = 0;
			alea->last_1 = 0;
		}
	}

}