#ifndef _MAP
#define _MAP


#define SPRITE_SOLID_MIN 1
#define SPRITE_SOLID_MAX 14
typedef enum {
	NONE = 0,
	BLOCK = 1, BLOCK_TOP = 2,
	PICK = 3,	
	BOX = 6,
	GRASS = 7,
	PLATFORM_LEFT = 10, PLATFORM_MIDDLE = 11, PLATFORM_RIGHT = 12,
	PLATFORM_LEFT_BOTTOM = 13, PLATFORM_RIGHT_BOTTOM = 14,
	KEY = 40, DOOR = 41,
	HOLE_LEFT = 60, HOLE_RIGHT = 61, HOLE = 62
} Sprite;



typedef struct {
	int type;
	int type_nb; // Nombre de block a generer pour le type
	int type_nb_next; // Nombre d'espace apres
	int last_1, last_2, last_3;
} Alea;

void map_gen(unsigned char * map, int map_width, int map_height, Alea * alea);


#endif //_MAP